/* Script 8.2 - editFunctions.js
 * This script defines the JavaScript function used to Copy.
 */

// Function for copying data to the clipboard.
// Takes one argument: an event.
function doCopy(e) {

	// Prevent the default behavior:
	e.preventDefault();

	// Clear the clipboard:
	e.clipboardData.clearData();

	// Get the selection:
	var data = window.getSelection();

	// Add the text to the clipboard:
	e.clipboardData.setData('text/plain', data);

} // End of doCopy() function.
