/* Script 8.4 - editFunctions.js (updated)
 * This script defines the JavaScript functions used to Copy and Cut.
 */

// Function for copying data to the clipboard.
// Takes one argument: an event.
function doCopy(e) {
	e.preventDefault();
	e.clipboardData.clearData();
	var data = window.getSelection();
	e.clipboardData.setData('text/plain', data);
} // End of doCopy() function.

// Function for cutting data.
// Takes one argument: an event.
function doCut(e){

	doCopy(e);

	// Remove the content from the page:
	var data = window.getSelection();
	var r = data.getRangeAt(0);
	r.deleteContents();

} // End of doCut() function.
